import os


def get_version():
    """Retrieve the version from the VERSION file, with a safe fallback."""
    VERSION_FILE = os.path.join(os.path.dirname(__file__), "..", "..", "VERSION")

    try:
        with open(VERSION_FILE, "r") as vf:
            return vf.read().strip()
    except FileNotFoundError:
        return "0.0.0"
    except Exception as e:
        print(f"Warning: Unable to read VERSION file due to {e}")
        return "0.0.0"


__version__ = get_version()
