"""
Test constants for parser tests.
Contains expected values for various test cases.
"""

PETSTORE_V2_EXPECTED_ENDPOINTS = {
    ("/pet", "post"),
    ("/pet", "put"),
    ("/pet/findByStatus", "get"),
    ("/pet/findByTags", "get"),
    ("/pet/{petId}", "delete"),
    ("/pet/{petId}", "get"),
    ("/pet/{petId}", "post"),
    ("/pet/{petId}/uploadImage", "post"),
    ("/store/inventory", "get"),
    ("/store/order", "post"),
    ("/store/order/{orderId}", "delete"),
    ("/store/order/{orderId}", "get"),
    ("/user", "post"),
    ("/user/createWithArray", "post"),
    ("/user/createWithList", "post"),
    ("/user/login", "get"),
    ("/user/logout", "get"),
    ("/user/{username}", "delete"),
    ("/user/{username}", "get"),
    ("/user/{username}", "put"),
}

PETSTORE_V3_EXPECTED_ENDPOINTS = {
    ("/pet", "post"),
    ("/pet", "put"),
    ("/pet/findByStatus", "get"),
    ("/pet/findByTags", "get"),
    ("/pet/{petId}", "delete"),
    ("/pet/{petId}", "get"),
    ("/pet/{petId}", "post"),
    ("/pet/{petId}/uploadImage", "post"),
    ("/store/inventory", "get"),
    ("/store/order", "post"),
    ("/store/order/{orderId}", "delete"),
    ("/store/order/{orderId}", "get"),
    ("/user", "post"),
    ("/user/createWithList", "post"),
    ("/user/login", "get"),
    ("/user/logout", "get"),
    ("/user/{username}", "delete"),
    ("/user/{username}", "get"),
    ("/user/{username}", "put"),
}
